Index: src/test/regress/expected/errors.out
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/test/regress/expected/errors.out,v
retrieving revision 1.38
diff -c -r1.38 errors.out
*** src/test/regress/expected/errors.out	2 Sep 2002 06:05:16 -0000	1.38
--- src/test/regress/expected/errors.out	13 Jan 2003 18:36:12 -0000
***************
*** 22,34 ****
   
  -- missing relation name 
  select;
! ERROR:  parser: parse error at or near ";" at character 7
  -- no such relation 
  select * from nonesuch;
  ERROR:  Relation "nonesuch" does not exist
  -- missing target list
  select from pg_database;
! ERROR:  parser: parse error at or near "from" at character 8
  -- bad name in target list
  select nonesuch from pg_database;
  ERROR:  Attribute "nonesuch" not found
--- 22,34 ----
   
  -- missing relation name 
  select;
! ERROR:  parser: syntax error at or near ";" at character 7
  -- no such relation 
  select * from nonesuch;
  ERROR:  Relation "nonesuch" does not exist
  -- missing target list
  select from pg_database;
! ERROR:  parser: syntax error at or near "from" at character 8
  -- bad name in target list
  select nonesuch from pg_database;
  ERROR:  Attribute "nonesuch" not found
***************
*** 40,46 ****
  ERROR:  Attribute "nonesuch" not found
  -- bad select distinct on syntax, distinct attribute missing
  select distinct on (foobar) from pg_database;
! ERROR:  parser: parse error at or near "from" at character 29
  -- bad select distinct on syntax, distinct attribute not in target list
  select distinct on (foobar) * from pg_database;
  ERROR:  Attribute "foobar" not found
--- 40,46 ----
  ERROR:  Attribute "nonesuch" not found
  -- bad select distinct on syntax, distinct attribute missing
  select distinct on (foobar) from pg_database;
! ERROR:  parser: syntax error at or near "from" at character 29
  -- bad select distinct on syntax, distinct attribute not in target list
  select distinct on (foobar) * from pg_database;
  ERROR:  Attribute "foobar" not found
***************
*** 49,55 ****
   
  -- missing relation name (this had better not wildcard!) 
  delete from;
! ERROR:  parser: parse error at or near ";" at character 12
  -- no such relation 
  delete from nonesuch;
  ERROR:  Relation "nonesuch" does not exist
--- 49,55 ----
   
  -- missing relation name (this had better not wildcard!) 
  delete from;
! ERROR:  parser: syntax error at or near ";" at character 12
  -- no such relation 
  delete from nonesuch;
  ERROR:  Relation "nonesuch" does not exist
***************
*** 58,64 ****
   
  -- missing relation name (this had better not wildcard!) 
  drop table;
! ERROR:  parser: parse error at or near ";" at character 11
  -- no such relation 
  drop table nonesuch;
  ERROR:  table "nonesuch" does not exist
--- 58,64 ----
   
  -- missing relation name (this had better not wildcard!) 
  drop table;
! ERROR:  parser: syntax error at or near ";" at character 11
  -- no such relation 
  drop table nonesuch;
  ERROR:  table "nonesuch" does not exist
***************
*** 68,74 ****
  -- relation renaming 
  -- missing relation name 
  alter table rename;
! ERROR:  parser: parse error at or near ";" at character 19
  -- no such relation 
  alter table nonesuch rename to newnonesuch;
  ERROR:  Relation "nonesuch" does not exist
--- 68,74 ----
  -- relation renaming 
  -- missing relation name 
  alter table rename;
! ERROR:  parser: syntax error at or near ";" at character 19
  -- no such relation 
  alter table nonesuch rename to newnonesuch;
  ERROR:  Relation "nonesuch" does not exist
***************
*** 122,131 ****
   
  -- missing index name 
  drop index;
! ERROR:  parser: parse error at or near ";" at character 11
  -- bad index name 
  drop index 314159;
! ERROR:  parser: parse error at or near "314159" at character 12
  -- no such index 
  drop index nonesuch;
  ERROR:  index "nonesuch" does not exist
--- 122,131 ----
   
  -- missing index name 
  drop index;
! ERROR:  parser: syntax error at or near ";" at character 11
  -- bad index name 
  drop index 314159;
! ERROR:  parser: syntax error at or near "314159" at character 12
  -- no such index 
  drop index nonesuch;
  ERROR:  index "nonesuch" does not exist
***************
*** 134,146 ****
   
  -- missing aggregate name 
  drop aggregate;
! ERROR:  parser: parse error at or near ";" at character 15
  -- missing aggregate type
  drop aggregate newcnt1;
! ERROR:  parser: parse error at or near ";" at character 23
  -- bad aggregate name 
  drop aggregate 314159 (int);
! ERROR:  parser: parse error at or near "314159" at character 16
  -- bad aggregate type
  drop aggregate newcnt (nonesuch);
  ERROR:  Type "nonesuch" does not exist
--- 134,146 ----
   
  -- missing aggregate name 
  drop aggregate;
! ERROR:  parser: syntax error at or near ";" at character 15
  -- missing aggregate type
  drop aggregate newcnt1;
! ERROR:  parser: syntax error at or near ";" at character 23
  -- bad aggregate name 
  drop aggregate 314159 (int);
! ERROR:  parser: syntax error at or near "314159" at character 16
  -- bad aggregate type
  drop aggregate newcnt (nonesuch);
  ERROR:  Type "nonesuch" does not exist
***************
*** 155,164 ****
   
  -- missing function name 
  drop function ();
! ERROR:  parser: parse error at or near "(" at character 15
  -- bad function name 
  drop function 314159();
! ERROR:  parser: parse error at or near "314159" at character 15
  -- no such function 
  drop function nonesuch();
  ERROR:  RemoveFunction: function nonesuch() does not exist
--- 155,164 ----
   
  -- missing function name 
  drop function ();
! ERROR:  parser: syntax error at or near "(" at character 15
  -- bad function name 
  drop function 314159();
! ERROR:  parser: syntax error at or near "314159" at character 15
  -- no such function 
  drop function nonesuch();
  ERROR:  RemoveFunction: function nonesuch() does not exist
***************
*** 167,176 ****
   
  -- missing type name 
  drop type;
! ERROR:  parser: parse error at or near ";" at character 10
  -- bad type name 
  drop type 314159;
! ERROR:  parser: parse error at or near "314159" at character 11
  -- no such type 
  drop type nonesuch;
  ERROR:  Type "nonesuch" does not exist
--- 167,176 ----
   
  -- missing type name 
  drop type;
! ERROR:  parser: syntax error at or near ";" at character 10
  -- bad type name 
  drop type 314159;
! ERROR:  parser: syntax error at or near "314159" at character 11
  -- no such type 
  drop type nonesuch;
  ERROR:  Type "nonesuch" does not exist
***************
*** 179,200 ****
   
  -- missing everything 
  drop operator;
! ERROR:  parser: parse error at or near ";" at character 14
  -- bad operator name 
  drop operator equals;
! ERROR:  parser: parse error at or near ";" at character 21
  -- missing type list 
  drop operator ===;
! ERROR:  parser: parse error at or near ";" at character 18
  -- missing parentheses 
  drop operator int4, int4;
! ERROR:  parser: parse error at or near "," at character 19
  -- missing operator name 
  drop operator (int4, int4);
! ERROR:  parser: parse error at or near "(" at character 15
  -- missing type list contents 
  drop operator === ();
! ERROR:  parser: parse error at or near ")" at character 20
  -- no such operator 
  drop operator === (int4);
  ERROR:  parser: argument type missing (use NONE for unary operators)
--- 179,200 ----
   
  -- missing everything 
  drop operator;
! ERROR:  parser: syntax error at or near ";" at character 14
  -- bad operator name 
  drop operator equals;
! ERROR:  parser: syntax error at or near ";" at character 21
  -- missing type list 
  drop operator ===;
! ERROR:  parser: syntax error at or near ";" at character 18
  -- missing parentheses 
  drop operator int4, int4;
! ERROR:  parser: syntax error at or near "," at character 19
  -- missing operator name 
  drop operator (int4, int4);
! ERROR:  parser: syntax error at or near "(" at character 15
  -- missing type list contents 
  drop operator === ();
! ERROR:  parser: syntax error at or near ")" at character 20
  -- no such operator 
  drop operator === (int4);
  ERROR:  parser: argument type missing (use NONE for unary operators)
***************
*** 206,212 ****
  ERROR:  parser: argument type missing (use NONE for unary operators)
  -- no such type1 
  drop operator = ( , int4);
! ERROR:  parser: parse error at or near "," at character 19
  -- no such type1 
  drop operator = (nonesuch, int4);
  ERROR:  Type "nonesuch" does not exist
--- 206,212 ----
  ERROR:  parser: argument type missing (use NONE for unary operators)
  -- no such type1 
  drop operator = ( , int4);
! ERROR:  parser: syntax error at or near "," at character 19
  -- no such type1 
  drop operator = (nonesuch, int4);
  ERROR:  Type "nonesuch" does not exist
***************
*** 215,239 ****
  ERROR:  Type "nonesuch" does not exist
  -- no such type2 
  drop operator = (int4, );
! ERROR:  parser: parse error at or near ")" at character 24
  --
  -- DROP RULE
   
  -- missing rule name 
  drop rule;
! ERROR:  parser: parse error at or near ";" at character 10
  -- bad rule name 
  drop rule 314159;
! ERROR:  parser: parse error at or near "314159" at character 11
  -- no such rule 
  drop rule nonesuch on noplace;
  ERROR:  Relation "noplace" does not exist
  -- bad keyword 
  drop tuple rule nonesuch;
! ERROR:  parser: parse error at or near "tuple" at character 6
  -- no such rule 
  drop instance rule nonesuch on noplace;
! ERROR:  parser: parse error at or near "instance" at character 6
  -- no such rule 
  drop rewrite rule nonesuch;
! ERROR:  parser: parse error at or near "rewrite" at character 6
--- 215,239 ----
  ERROR:  Type "nonesuch" does not exist
  -- no such type2 
  drop operator = (int4, );
! ERROR:  parser: syntax error at or near ")" at character 24
  --
  -- DROP RULE
   
  -- missing rule name 
  drop rule;
! ERROR:  parser: syntax error at or near ";" at character 10
  -- bad rule name 
  drop rule 314159;
! ERROR:  parser: syntax error at or near "314159" at character 11
  -- no such rule 
  drop rule nonesuch on noplace;
  ERROR:  Relation "noplace" does not exist
  -- bad keyword 
  drop tuple rule nonesuch;
! ERROR:  parser: syntax error at or near "tuple" at character 6
  -- no such rule 
  drop instance rule nonesuch on noplace;
! ERROR:  parser: syntax error at or near "instance" at character 6
  -- no such rule 
  drop rewrite rule nonesuch;
! ERROR:  parser: syntax error at or near "rewrite" at character 6
Index: src/test/regress/expected/strings.out
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/test/regress/expected/strings.out,v
retrieving revision 1.20
diff -c -r1.20 strings.out
*** src/test/regress/expected/strings.out	6 Dec 2002 05:20:28 -0000	1.20
--- src/test/regress/expected/strings.out	13 Jan 2003 18:36:31 -0000
***************
*** 18,24 ****
  ' - next line' /* this comment is not allowed here */
  ' - third line'
  	AS "Illegal comment within continuation";
! ERROR:  parser: parse error at or near "' - third line'" at character 75
  --
  -- test conversions between various string types
  -- E021-10 implicit casting among the character data types
--- 18,24 ----
  ' - next line' /* this comment is not allowed here */
  ' - third line'
  	AS "Illegal comment within continuation";
! ERROR:  parser: syntax error at or near "' - third line'" at character 75
  --
  -- test conversions between various string types
  -- E021-10 implicit casting among the character data types
Index: src/test/regress/output/constraints.source
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/test/regress/output/constraints.source,v
retrieving revision 1.30
diff -c -r1.30 constraints.source
*** src/test/regress/output/constraints.source	18 Aug 2002 03:00:17 -0000	1.30
--- src/test/regress/output/constraints.source	13 Jan 2003 18:37:58 -0000
***************
*** 45,56 ****
  -- syntax errors
  --  test for extraneous comma
  CREATE TABLE error_tbl (i int DEFAULT (100, ));
! ERROR:  parser: parse error at or near "," at character 43
  --  this will fail because gram.y uses b_expr not a_expr for defaults,
  --  to avoid a shift/reduce conflict that arises from NOT NULL being
  --  part of the column definition syntax:
  CREATE TABLE error_tbl (b1 bool DEFAULT 1 IN (1, 2));
! ERROR:  parser: parse error at or near "IN" at character 43
  --  this should work, however:
  CREATE TABLE error_tbl (b1 bool DEFAULT (1 IN (1, 2)));
  DROP TABLE error_tbl;
--- 45,56 ----
  -- syntax errors
  --  test for extraneous comma
  CREATE TABLE error_tbl (i int DEFAULT (100, ));
! ERROR:  parser: syntax error at or near "," at character 43
  --  this will fail because gram.y uses b_expr not a_expr for defaults,
  --  to avoid a shift/reduce conflict that arises from NOT NULL being
  --  part of the column definition syntax:
  CREATE TABLE error_tbl (b1 bool DEFAULT 1 IN (1, 2));
! ERROR:  parser: syntax error at or near "IN" at character 43
  --  this should work, however:
  CREATE TABLE error_tbl (b1 bool DEFAULT (1 IN (1, 2)));
  DROP TABLE error_tbl;
Index: src/test/regress/output/create_function_1.source
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/test/regress/output/create_function_1.source,v
retrieving revision 1.20
diff -c -r1.20 create_function_1.source
*** src/test/regress/output/create_function_1.source	1 Nov 2002 19:19:58 -0000	1.20
--- src/test/regress/output/create_function_1.source	13 Jan 2003 18:37:16 -0000
***************
*** 51,57 ****
  ERROR:  return type mismatch in function: declared to return integer, returns "unknown"
  CREATE FUNCTION test1 (int) RETURNS int LANGUAGE sql
      AS 'not even SQL';
! ERROR:  parser: parse error at or near "not" at character 1
  CREATE FUNCTION test1 (int) RETURNS int LANGUAGE sql
      AS 'SELECT 1, 2, 3;';
  ERROR:  function declared to return integer returns multiple columns in final SELECT
--- 51,57 ----
  ERROR:  return type mismatch in function: declared to return integer, returns "unknown"
  CREATE FUNCTION test1 (int) RETURNS int LANGUAGE sql
      AS 'not even SQL';
! ERROR:  parser: syntax error at or near "not" at character 1
  CREATE FUNCTION test1 (int) RETURNS int LANGUAGE sql
      AS 'SELECT 1, 2, 3;';
  ERROR:  function declared to return integer returns multiple columns in final SELECT
